> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 红包 - 创建

> 创建指定金额和数量的新红包



## OpenAPI

````yaml /cn/api-reference/openapi-data-cn.yaml POST /v2/redpacket/{chain}/create
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 区块链相关操作
  - name: Token
    description: 代币相关操作
  - name: Trade
    description: 交易相关操作
  - name: Wallet
    description: 钱包相关操作
  - name: Dex
    description: DEX 相关操作
  - name: Ranking
    description: 排行榜相关操作
  - name: DexPool
    description: DEX 池子相关操作
  - name: Watchlist
    description: 关注列表相关操作
  - name: KYT
    description: KYT 相关操作
  - name: Webhook
    description: Webhook 相关操作
  - name: RedPacket
    description: 红包相关操作
  - name: IPFS
    description: IPFS 相关操作
  - name: DexScreener
    description: DexScreener 相关操作
paths:
  /v2/redpacket/{chain}/create:
    post:
      tags:
        - RedPacket
      summary: 红包 - 创建
      description: 创建指定金额和数量的新红包
      operationId: create.redpacket
      parameters:
        - name: chain
          in: path
          description: 支持网络列表中的链名称
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRedPacketRequest'
        required: true
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateRedPacketResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    CreateRedPacketRequest:
      type: object
      description: 创建者钱包地址
      required:
        - creator
        - mint
        - maxClaims
      properties:
        claimAuthority:
          type:
            - string
            - 'null'
          description: 领取授权地址
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        creator:
          type: string
          description: 创建者钱包地址
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        expiration:
          type:
            - integer
            - 'null'
          format: int64
          description: 过期时间（秒）
          example: 24
        fixedAmount:
          type:
            - string
            - 'null'
          description: 每次领取的固定金额
          example: '1000000000'
        maxClaims:
          type: integer
          format: int32
          description: 最大领取次数
          example: 10
        memo:
          type:
            - string
            - 'null'
          description: 红包留言
          example: Happy Red Packet
        mint:
          type: string
          description: 代币铸造地址
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        password:
          type:
            - string
            - 'null'
          description: 红包领取密码
          example: '123456'
        totalAmount:
          type:
            - string
            - 'null'
          description: 红包总金额
          example: '1000000000'
    CreateRedPacketResponse:
      type: object
      description: Create red packet response
      required:
        - txSerialize
        - shareId
      properties:
        shareId:
          type: string
          description: 分享标识
          example: abc123
        txSerialize:
          type: string
          description: 序列化交易数据
          example: AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRg...
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````